---
squid:
  ingress:
    enabled: false
  service:
    annotations: |
      "service.beta.kubernetes.io/azure-load-balancer-internal": "true"
    type: LoadBalancer
  config:
    - 'acl SSL_ports port 443'
    - 'acl CONNECT method CONNECT'
    - 'acl Safe_ports port 80'
    - 'acl Safe_ports port 8000'
    - 'http_access deny !Safe_ports'
    - 'http_access deny CONNECT !SSL_ports'
    - 'http_access allow localhost'
    - 'http_access allow localhost manager'
    - 'http_access deny manager'
    - 'http_access deny to_localhost'
    - 'http_port 3128'
    - 'coredump_dir /var/spool/squid'
    - 'refresh_pattern ^ftp:		1440	20%	10080'
    - 'refresh_pattern ^gopher:	1440	0%	1440'
    - 'refresh_pattern -i (/cgi-bin/|\?) 0	0%	0'
    - 'refresh_pattern (Release|Packages(.gz)*)$      0       20%     2880'
    - 'refresh_pattern .		0	20%	4320'
    - 'cache_dir ufs /var/spool/squid 100 16 256'
    # cvmfs specific entries
    - 'cache_dir ufs /var/spool/squid 50000 16 256'
    - 'minimum_expiry_time 0'
    - 'max_filedesc 8192'
    - 'workers 1'
    - 'maximum_object_size 1024 MB'
    - 'cache_mem 128 MB'
    - 'maximum_object_size_in_memory 128 KB'
    - 'acl frontiers url_regex ^http://aiatlas.cern.ch'
    - 'acl frontiers url_regex ^http://atlasfrontier-ai.cern.ch'
    - 'acl frontiers url_regex ^http://atlasfrontier.*cern.ch'
    - 'acl frontiers url_regex ^http://atlast0frontier-ai.cern.ch'
    - 'acl frontiers url_regex ^http://atlast0frontier.*cern.ch'
    - 'acl frontiers url_regex ^http://cc.*in2p3.fr'
    - 'acl frontiers url_regex ^http://cmsfrontier.cern.ch'
    - 'acl frontiers url_regex ^http://lcgft-atlas.gridpp.rl.ac.uk'
    - 'acl frontiers url_regex ^http://lcgvo-frontier.gridpp.rl.ac.uk'
    - 'acl frontiers url_regex ^http://svn.nordugrid.org'
    - 'acl misc url_regex ^http://cernvm-webfs.cern.ch'
    - 'acl misc url_regex ^http://cvmfs-atlas-nightlies.cern.ch'
    - 'acl misc url_regex ^http://cvmfs-egi.gridpp.rl.ac.uk'
    - 'acl misc url_regex ^http://cvmfs-s1bnl.opensciencegrid.org'
    - 'acl misc url_regex ^http://cvmfs-s1fnal.opensciencegrid.org'
    - 'acl misc url_regex ^http://cvmfs-s1goc.opensciencegrid.org'
    - 'acl misc url_regex ^http://cvmfs-stratum-zero.cern.ch'
    - 'acl misc url_regex ^http://cvmfsrep.grid.sinica.edu.tw'
    - 'acl misc url_regex ^http://cvmfsrepo.lcg.triumf.ca'
    - 'acl misc url_regex ^http://hepvm.cern.ch'
    - 'acl misc url_regex ^http://klei.nikhef.nl'
    - 'acl misc url_regex ^http://sdtcvmfs.cern.ch'
    - 'acl misc url_regex ^http://voatlas179.cern.ch'
    - 'acl misc url_regex ^http://volhcb28.cern.ch'
    - 'acl stratum_ones url_regex ^http://cernvmfs.gridpp.rl.ac.uk'
    - 'acl stratum_ones url_regex ^http://cvmfs-atlas-nightlies.cern.ch'
    - 'acl stratum_ones url_regex ^http://cvmfs-stratum-one.cern.ch'
    - 'acl stratum_ones url_regex ^http://cvmfs.fnal.gov'
    - 'acl stratum_ones url_regex ^http://cvmfs.racf.bnl.gov'
    - 'acl stratum_ones url_regex ^http://cvmfs02.grid.sinica.edu.tw'
    - 'acl stratum_ones url_regex ^http://grid-cvmfs-one.desy.de'
    - 'acl QUERY urlpath_regex \?'
    - 'acl QUERY urlpath_regex cgi-bin'
    - 'acl grid_ca urlpath_regex \.crl$ \.r0$ \.pem$ \.der$ \.crl_url$ \/crls\/'
    - 'http_access allow frontiers'
    - 'http_access allow grid_ca'
    - 'http_access allow misc'
    - 'http_access allow stratum_ones'

  replicas: 3

  resources:
    requests:
      memory: "2.5Gi"

prometheus:
  server:
    enabled: true
  alertmanager:
    enabled: false
  nodeExporter:
    enabled: true
  pushgateway:
    enabled: false
